Mailinglist Archive: opensuse-updates (114 mails)

< Previous Next >
openSUSE-SU-2014:1380-1: moderate: update for wget
openSUSE Security Update: update for wget
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1380-1
Rating: moderate
References:
Cross-References: CVE-2014-4877
Affected Products:
openSUSE 13.2
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

wget was updated to version 1.16 to fix one security issue.

The following security issue was fixed:

- Fix for symlink attack which could allow a malicious ftp server to
create arbitrary files, directories or symbolic links and set their
permissions when retrieving a directory recursively through FTP
(CVE-2014-4877).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2014-637

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-637

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-637

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

wget-1.16-4.4.1
wget-debuginfo-1.16-4.4.1
wget-debugsource-1.16-4.4.1

- openSUSE 13.1 (i586 x86_64):

wget-1.16-3.4.1
wget-debuginfo-1.16-3.4.1
wget-debugsource-1.16-3.4.1

- openSUSE 12.3 (i586 x86_64):

wget-1.16-15.4.1
wget-debuginfo-1.16-15.4.1
wget-debugsource-1.16-15.4.1


References:

http://support.novell.com/security/cve/CVE-2014-4877.html


< Previous Next >
This Thread
  • No further messages